#! /usr/bin/env python
"""
Copyright 2015, Oracle and/or its affiliates. All rights reserved.
"""
import os
from setuptools import setup, find_packages


# Utility function to read the README file.
# Used for the long_description.  It's nice, because now 1) we have a top level
# README file and 2) it's easier to type in the README file than to put a raw
# string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name = "pyopg",
    version = "1.0",
    author = "Oracle",
    author_email = ".",
    description = ("Python bindings for Oracle Big Data Spatial and Graph Property Graph"),
    license = "Other",
    keywords = "bigdata graph hbase gremlin tinkerpop pgx",
    url = " ",
    packages=['pyopg'],
    install_requires = ['JPype1'],
    long_description=read('README'),
    classifiers=[
        "Topic :: Utilities",
    ],
)
